Skip to main content

Get catalog sync status

Get the current status of the catalog sync process for a given catalog.

Path Parameters
catalog_name string — REQUIRED

Fully qualified name of the dataset

Responses
200

Catalog sync status returned.

Schema — OPTIONAL
id string
startTime int64 — OPTIONAL
endTime int64 — OPTIONAL
durationInSec int32 — OPTIONAL
processedRecords int32 — OPTIONAL
totalToProcess int32 — OPTIONAL
failedToProcess int32 — OPTIONAL
error object — OPTIONAL
catalogSyncStatus string — OPTIONAL

Possible values: [not_running, queued, running, finished, failed, skipped]

302

Catalog sync is currently running.

Schema — OPTIONAL
id string
startTime int64 — OPTIONAL
endTime int64 — OPTIONAL
durationInSec int32 — OPTIONAL
processedRecords int32 — OPTIONAL
totalToProcess int32 — OPTIONAL
failedToProcess int32 — OPTIONAL
error object — OPTIONAL
catalogSyncStatus string — OPTIONAL

Possible values: [not_running, queued, running, finished, failed, skipped]

401

Unauthorized access.